Ask / Submit
3

geoloaction services qt5 missing? [not a question]

asked 2017-01-07 05:28:05 +0300

DarkTuring gravatar image

how do you install qt5 nokia geolocation services so i can install meerun currently generates that error on my Intex Aquafish?

Meerun dependency error

edit retag flag offensive reopen delete

The question has been closed for the following reason "not a real question" by coderus
close date 2017-01-07 05:55:28.377933

Comments

2 Answers

Sort by » oldest newest most voted
8

answered 2017-01-07 19:55:48 +0300

atlochowski gravatar image

updated 2017-01-07 19:56:45 +0300

There is no newer Meerun but it's possible to install it from terminal. Download Meerun from openrepos then:

devel-su
rpm -Uhv --nodeps /path/to/harbour-meerun.rpm
pkcon install qt5-plugin-geoservices-osm

When it's installed, lunch Meerun and change maps to OpenStreetMap and have fun.

edit flag offensive delete publish link more

Comments

@atlochowski fantastic your solution works as advertised and i can now use meerun on the Aquafish :)! thanks so much.

DarkTuring ( 2017-01-07 23:57:46 +0300 )edit

Is it possible, that the last step doesn't work anymoree, but is also no longer necessary?

hoschi ( 2017-04-06 22:13:20 +0300 )edit
1

it should work, try

pkcon refresh

before

pkcon install qt5-plugin-geoservices-osm
atlochowski ( 2017-04-07 11:42:05 +0300 )edit

Thanks. This fixed it on the affected device, one a second on this worked instantly (probably because the warehouse-app was used frequently).

hoschi ( 2017-04-15 21:59:38 +0300 )edit
1

answered 2017-01-07 05:55:20 +0300

coderus gravatar image

App developer just should update MeeRun application for 2.0.5.6

edit flag offensive delete publish link more

Comments

meerun worked on another SFOS phone i had 2.0.5.6 - it might be related though.

DarkTuring ( 2017-01-07 18:33:35 +0300 )edit

no you wrong. 2.0.5.6 have no nokia provider, it's using here provider instead. If you sure you used MeeRun on 2.0.5.6 then you used newer version with fixed dependencies.

coderus ( 2017-01-07 18:39:53 +0300 )edit

@coderus he is not wrong. On my Jolla C I had Meerun before update to 2.0.5.6 and after update I have Meerun but without working maps but app works But when I wanted to install it on my Jolla 1 I had to do like I described below.

atlochowski ( 2017-01-07 20:01:59 +0300 )edit

Question tools

Follow
2 followers

Stats

Asked: 2017-01-07 05:28:05 +0300

Seen: 930 times

Last updated: Jan 07 '17